@each $screen in map-keys($tab-screen) {
    @include media-screen($screen) {
        $infix: infix-elt($screen, $tab-screen);
        
        @each $space_infix, $space_value in $tab-spacing-name{
            @if ($space_value == margin) {
                @include make-spacing($space_infix, auto, auto, $infix);
            }

            @each $index, $val in $tab-spacers {
                @include make-spacing($space_infix, $index, $val, $infix);
                @if ($space_value == margin) {
                    @include make-spacing($space_infix, $index, $val, $infix, $factor: -1);
                }
            }
        }
    }
}